<template lang="html">
  <div class="settings" @click.stop="handler">
    <butter-icon class="icon" name="gear" />
    <span v-if="label">{{ label }}</span>
  </div>
</template>

<script>
import { EVENT_CLICK } from '../lib/events'

export default {
  props: ['label'],
  methods: {
    handler(action) {
      this.$emit(EVENT_CLICK)
    },
  },
}
</script>

<style lang="scss" scoped>
@import 'butter-mixins';
.settings {
  display: flex;
  align-items: center;
}
.icon  {
  height: $grid*3;
  width: $grid*3;
  justify-self: flex-end;
  display: flex;
}
span {
  margin-left: $grid/2;
}
</style>
